<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:24 GMT 2019 -->
<title>Bank</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Bank";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Bank.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../player/Dice.html" title="interface in player"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?player/Bank.html" target="_top">Frames</a></li>
<li><a href="Bank.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">player</div>
<h2 title="Class Bank" class="title">Class Bank</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>player.Bank</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../player/People.html" title="interface in player">People</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Bank</span>
extends java.lang.Object
implements <a href="../player/People.html" title="interface in player">People</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../player/Bank.html#Bank--">Bank</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../game/Bid.html" title="class in game">Bid</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#auction-board.PurchaseableSquare-java.util.ArrayList-boolean-">auction</a></span>(<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq,
       java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
       boolean&nbsp;debug)</code>
<div class="block">Hosts auctions when a property is not purchased</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#buyHH-player.Player-board.Board-">buyHH</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
     <a href="../board/Board.html" title="class in board">Board</a>&nbsp;MonopolyBoard)</code>
<div class="block">Buy Houses and Hotels</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Scanner</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#getInput--">getInput</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#getRemainingHotels--">getRemainingHotels</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#getRemainingHouses--">getRemainingHouses</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#maxDiffIfSold-java.util.ArrayList-board.Property-">maxDiffIfSold</a></span>(java.util.ArrayList&lt;<a href="../board/Property.html" title="class in board">Property</a>&gt;&nbsp;set,
             <a href="../board/Property.html" title="class in board">Property</a>&nbsp;property)</code>
<div class="block">Max difference check for selling houses/hotels</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#maxdiffs-java.util.ArrayList-board.Property-">maxdiffs</a></span>(java.util.ArrayList&lt;<a href="../board/Property.html" title="class in board">Property</a>&gt;&nbsp;set,
        <a href="../board/Property.html" title="class in board">Property</a>&nbsp;property)</code>
<div class="block">Max difference check for buying houses/hotels</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#pay-player.Player-int-">pay</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;Recipient,
   int&nbsp;amount)</code>
<div class="block">Simple way to send money to a player from the bank</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#sellHH-player.Player-board.Board-">sellHH</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
      <a href="../board/Board.html" title="class in board">Board</a>&nbsp;MonopolyBoard)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#setName-java.lang.String-">setName</a></span>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#setPlayerInput-game.Input-">setPlayerInput</a></span>(<a href="../game/Input.html" title="class in game">Input</a>&nbsp;playerInput)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#setRemainingHotels-int-">setRemainingHotels</a></span>(int&nbsp;remainingHotels)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Bank.html#setRemainingHouses-int-">setRemainingHouses</a></span>(int&nbsp;remainingHouses)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Bank--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Bank</h4>
<pre>public&nbsp;Bank()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../player/People.html#getName--">getName</a></code>&nbsp;in interface&nbsp;<code><a href="../player/People.html" title="interface in player">People</a></code></dd>
</dl>
</li>
</ul>
<a name="getRemainingHouses--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRemainingHouses</h4>
<pre>public&nbsp;int&nbsp;getRemainingHouses()</pre>
</li>
</ul>
<a name="getRemainingHotels--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRemainingHotels</h4>
<pre>public&nbsp;int&nbsp;getRemainingHotels()</pre>
</li>
</ul>
<a name="buyHH-player.Player-board.Board-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buyHH</h4>
<pre>public&nbsp;boolean&nbsp;buyHH(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
                     <a href="../board/Board.html" title="class in board">Board</a>&nbsp;MonopolyBoard)</pre>
<div class="block">Buy Houses and Hotels</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>bought or not</dd>
</dl>
</li>
</ul>
<a name="sellHH-player.Player-board.Board-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sellHH</h4>
<pre>public&nbsp;boolean&nbsp;sellHH(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
                      <a href="../board/Board.html" title="class in board">Board</a>&nbsp;MonopolyBoard)</pre>
</li>
</ul>
<a name="maxdiffs-java.util.ArrayList-board.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxdiffs</h4>
<pre>public&nbsp;int&nbsp;maxdiffs(java.util.ArrayList&lt;<a href="../board/Property.html" title="class in board">Property</a>&gt;&nbsp;set,
                    <a href="../board/Property.html" title="class in board">Property</a>&nbsp;property)</pre>
<div class="block">Max difference check for buying houses/hotels</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>set</code> - </dd>
<dd><code>property</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="maxDiffIfSold-java.util.ArrayList-board.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxDiffIfSold</h4>
<pre>public&nbsp;int&nbsp;maxDiffIfSold(java.util.ArrayList&lt;<a href="../board/Property.html" title="class in board">Property</a>&gt;&nbsp;set,
                         <a href="../board/Property.html" title="class in board">Property</a>&nbsp;property)</pre>
<div class="block">Max difference check for selling houses/hotels</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>set</code> - </dd>
<dd><code>property</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="auction-board.PurchaseableSquare-java.util.ArrayList-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>auction</h4>
<pre>public&nbsp;<a href="../game/Bid.html" title="class in game">Bid</a>&nbsp;auction(<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq,
                   java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                   boolean&nbsp;debug)</pre>
<div class="block">Hosts auctions when a property is not purchased</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>psq</code> - </dd>
<dd><code>players</code> - </dd>
<dd><code>debug</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="pay-player.Player-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pay</h4>
<pre>public&nbsp;void&nbsp;pay(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;Recipient,
                int&nbsp;amount)</pre>
<div class="block">Simple way to send money to a player from the bank</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>Recipient</code> - </dd>
<dd><code>amount</code> - </dd>
</dl>
</li>
</ul>
<a name="getInput--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInput</h4>
<pre>public&nbsp;java.util.Scanner&nbsp;getInput()</pre>
</li>
</ul>
<a name="setPlayerInput-game.Input-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlayerInput</h4>
<pre>public&nbsp;void&nbsp;setPlayerInput(<a href="../game/Input.html" title="class in game">Input</a>&nbsp;playerInput)</pre>
</li>
</ul>
<a name="setRemainingHouses-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRemainingHouses</h4>
<pre>public&nbsp;void&nbsp;setRemainingHouses(int&nbsp;remainingHouses)</pre>
</li>
</ul>
<a name="setRemainingHotels-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRemainingHotels</h4>
<pre>public&nbsp;void&nbsp;setRemainingHotels(int&nbsp;remainingHotels)</pre>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(java.lang.String&nbsp;name)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Bank.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../player/Dice.html" title="interface in player"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?player/Bank.html" target="_top">Frames</a></li>
<li><a href="Bank.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
